1. Computer problem? Tech Support Guy is completely free -- paid for by advertisers and donations. Click here to join today! If you're new to Tech Support Guy, we highly recommend that you visit our Guide for New Members.

trouble installing .NET Framerwork

Discussion in 'Web & Email' started by jackdup, Apr 17, 2010.

Thread Status:
Not open for further replies.
Advertisement
  1. jackdup

    jackdup Thread Starter

    Joined:
    Jun 25, 2009
    Messages:
    78
    I am not sure if this is the right forum for this and if not would ask one of the mods to move it to the correct forum.

    I had to do a complete new install of Microsoft XP Media Center Edition, and after doing the install download and installed all 80 updates from Microsoft.

    A program I use requireds .NET Framework 2.0 howver am having problems installling it so decided to try 3.5 and again installation does not finish.

    With 2.0 I get the following error

    Product: Microsoft .NET Framework 2.0 -- Error 25015.Failed to install assembly 'C:\WINNT\Microsoft.NET\Framework\v2.0.50727\Microsoft.VisualBasic.Vsa.dll' because of system error: 0x80131107

    I found an article on resolving this error at Microsoft but don't understand what they are instructing. Below is their response. If anyone can help me install either of these versions or tell me what the message below means I would appreciate it.

    Turns out the customer had their COMPLUS_VERSION envionrment variable set to 1.1.4322 (the 1.1 framework). This caused mscoree.dll to load the 1.1 version of framework and use that to GAC the 2.0 assemblies.
    The workaround is to delete that environment variable and rerun the install.

    Below is the error log when installing 3.5
    [04/17/10,13:25:57] Microsoft .NET Framework 2.0a: [2] Error: Installation failed for component Microsoft .NET Framework 2.0a. MSI returned error code 1603
    [04/17/10,13:25:57] Microsoft .NET Framework 2.0a: [2] Error: Installation failed for component Microsoft .NET Framework 2.0a. MSI returned error code 1603
    [04/17/10,13:25:59] WapUI: [2] DepCheck indicates Microsoft .NET Framework 2.0a is not installed.
    [04/17/10,13:34:31] Microsoft .NET Framework 2.0a: [2] Error: Installation failed for component Microsoft .NET Framework 2.0a. MSI returned error code 1603



     
  2. EAFiedler

    EAFiedler Retired Moderator

    Joined:
    Apr 25, 2000
    Messages:
    14,172
    Hi jackdup

    Can you post the link to the article?
     
  3. jackdup

    jackdup Thread Starter

    Joined:
    Jun 25, 2009
    Messages:
    78
  4. jackdup

    jackdup Thread Starter

    Joined:
    Jun 25, 2009
    Messages:
    78
  5. DoubleHelix

    DoubleHelix Banned

    Joined:
    Dec 9, 2004
    Messages:
    24,388
    .NET Framework 2.0 requires SP2 for Windows XP Media Center. Did you install that?
     
  6. jackdup

    jackdup Thread Starter

    Joined:
    Jun 25, 2009
    Messages:
    78
    Yes I did
     
  7. Sponsor

As Seen On
As Seen On...

Welcome to Tech Support Guy!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.

Join over 733,556 other people just like you!

Loading...
Thread Status:
Not open for further replies.

Short URL to this thread: https://techguy.org/917521

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice